<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h4>Create shop</h4>
                </div>
                <div class="ibox-content">
                    <!--CREATE SHOP FORM-->
                    <form name="shopForm" novalidate ng-submit="vm.create(shopForm.$valid, vm.shop)">
                        <div class="row clearfix">
                            <div class="col-sm-12 col-md-8">
                                <div class="row">
                                    <!--Image-->
                                    <div class="form-group col-sm-4">
                                        <!--dropzone-->
                                        <div ngf-drop ngf-select ng-model="image" ratio="'1'" class="img-drop-box"
                                             name="image"
                                             ngf-drag-over-class="'dragover'"
                                             ngf-model-invalid="errorFile"
                                             ngf-multiple="false"
                                             ngf-allow-dir="false"
                                             accept="image/*"
                                             ngf-pattern="'image/*'"
                                             required>

                                            <span ng-if="!image">Shop image</span>

                                            <!--preview-->
                                            <div class="img-preview" ng-if="image || vm.shop.image"
                                                 ngf-src="image || vm.shop.image"
                                                 ngf-background="image || vm.shop.image"
                                                 ngf-resize="{width: 150, height: 150, quality: 0.9}"
                                                 ngf-no-object-url="false"></div>
                                            <!--/preview-->
                                        </div>

                                        <!--progress-->
                                        <span ng-if="inProgress">Uploading in progress...</span>

                                        <!--errors-->
                                        <ng-messages for="shopForm.image.$error" role="alert">
                                            <ng-message ng-if="submitted" when="required">Image is required!
                                            </ng-message>
                                            <ng-message ng-if="submitted" when="minSize">Image size must be greater than
                                                10 kb
                                            </ng-message>
                                            <ng-message ng-if="submitted" when="maxSize">Image size must be less than 2
                                                Mb
                                            </ng-message>
                                            <ng-message ng-if="submitted" when="pattern">Incorrect file type. Only
                                                images accepted!
                                            </ng-message>
                                            <ng-message ng-if="submitted" when="ratio">Incorrect aspect ratio.
                                            </ng-message>
                                            <ng-messages-include ng-if="submitted" src="error-messages">...
                                            </ng-messages-include>
                                        </ng-messages>
                                        <!--/errors-->
                                    </div>
                                    <!--/Image-->

                                    <div class="form-group col-sm-8">
                                        <!-- Shop Name -->
                                        <div class="form-group">
                                            <label>Shop name</label>
                                            <input type="text" name="name" class="form-control"
                                                   placeholder="Enter shop name"
                                                   ng-model="vm.shop.name"
                                                   required>
                                            <ng-messages for="shopForm.name.$error" role="alert">
                                                <ng-messages-include ng-if="submitted" src="error-messages">...
                                                </ng-messages-include>
                                            </ng-messages>
                                        </div>
                                        <!--/Shop Name-->

                                        <!-- Owner Name -->
                                        <div class="form-group">
                                            <label>Owner name</label>
                                            <input type="text" name="owner" class="form-control"
                                                   placeholder="Enter shop owner name"
                                                   ng-model="vm.shop.owner"
                                                   ng-required="true">
                                            <ng-messages for="shopForm.owner.$error" role="alert">
                                                <ng-messages-include ng-if="submitted" src="error-messages">...
                                                </ng-messages-include>
                                            </ng-messages>
                                        </div>
                                        <!--/Owner Name-->

                                        <div class="form-group">
                                            <input type="checkbox" ng-model="vm.shop.isLocal">
                                            <label>Local shop</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <!--Shop Admin selection-->
                                    <div class="form-group col-sm-12 col-md-6">
                                        <label>Select Shop Administrator</label>
                                        <ui-select
                                                name="shopOwner"
                                                theme="bootstrap"
                                                ng-model="vm.shopOwner.selected"
                                                on-select="vm.setOwner($item.id)"
                                                on-remove="vm.ownersRemove($item.id)"
                                                close-on-select="true"
                                                ng-disabled="!checkPermission['ASSIGN_SHOP']"
                                                title="Choose a person" 
                                                ng-required="true">
                                            <ui-select-match placeholder="Select Shop admin">{{$select.selected.type}}
                                                &lt;{{$select.selected.email}}&gt;</ui-select-match>
                                            <ui-select-choices
                                                    repeat="person in vm.shopAdmins.SAVVY_SHOP | filter: {role: '!ENTERPRISE_SAVVY_SHOP'}"
                                                    minimum-input-length="2"
                                                    refresh="vm.readFree('SAVVY_SHOP', $select.search)"
                                                    refresh-delay="50">
                                                <span>{{person.type}} | &lt;<span
                                                ng-bind-html="person.email | highlight: $select.search"></span>&gt; </span>
                                            </ui-select-choices>
                                        </ui-select>
                                        <ng-messages for="shopForm.shopOwner.$error" role="alert">
                                            <ng-messages-include ng-if="submitted" src="error-messages">...
                                            </ng-messages-include>
                                        </ng-messages>  
                                    </div>
                                    <!--Shop Admin selection-->

                                    <!--Admins selection-->
                                    <div class="form-group col-sm-12 col-md-6">
                                        <label>Select administrators</label>
                                        <ui-select multiple
                                                   theme="bootstrap"
                                                   sortable="true"
                                                   ng-model="vm.enterShopOwners"
                                                   on-select="vm.ownersAdd($item.id)"
                                                   on-remove="vm.ownersRemove($item.id)"
                                                   close-on-select="false"
                                                   style="min-height: 34px;"
                                                   ng-disabled="!checkPermission['ASSIGN_SHOP']"
                                                   title="Choose a person">
                                            <ui-select-match placeholder="Select enterprise admins">{{$item.type}} &lt;{{$item.email}}&gt;</ui-select-match>
                                            <ui-select-choices
                                                    repeat="person in vm.shopAdmins.ENTERPRISE_SAVVY_SHOP | filter: {role: 'ENTERPRISE_SAVVY_SHOP'}"
                                                    minimum-input-length="2"
                                                    refresh="vm.readAdmins('ENTERPRISE_SAVVY_SHOP', $select.search)"
                                                    refresh-delay="50">
                                        <span>{{person.type}} | &lt;<span
                                                ng-bind-html="person.email | highlight: $select.search"></span>&gt; </span>

                                            </ui-select-choices>
                                        </ui-select>
                                    </div>
                                    <!--Admins selection-->
                                </div>
                            </div>


                            <!--Post Code-->
                            <div class="form-group col-sm-12 col-md-4">
                                <label>Postal Code</label>
                                <input type="text" name="postCode" class="form-control"
                                       placeholder="Enter Post Code"
                                       ng-pattern="/\d{4}/"
                                       minlength="4"
                                       maxlength="4"
                                       ng-model="vm.shop.postCode" required>
                                <ng-messages for="shopForm.postCode.$error" role="alert">
                                    <ng-messages-include ng-if="submitted" src="error-messages">...
                                    </ng-messages-include>
                                    <div ng-message="pattern">Post code contains 4 digits only</div>
                                </ng-messages>
                            </div>
                            <!--Post Code-->

                            <!--google map-->
                            <div class="form-group col-sm-12 col-md-4 map">
                                <ui-gmap-google-map center='vm.map.center'
                                                    zoom='vm.map.zoom'
                                                    options='vm.map.options'
                                                    control='vm.map.control'
                                                    dragging='vm.map.dragging'
                                                    refresh='vm.map.refresh'
                                                    events='vm.map.events'
                                                    bounds='vm.map.bounds'
                                                    pan='true'>

                                    <ui-gmap-marker idKey='vm.map.marker.idKey'
                                                    coords='vm.map.marker.coords'
                                                    click='vm.map.marker.click'
                                                    options='vm.map.marker.options'
                                                    events='vm.map.marker.events'
                                                    control='vm.map.marker.control'></ui-gmap-marker>

                                </ui-gmap-google-map>
                                <input type="hidden"
                                       name="latitude"
                                       ng-model="vm.shop.latitude"
                                       required>
                                <ng-messages for="shopForm.latitude.$error" role="alert">
                                    <div ng-if="submitted" ng-message="required">Please place a marker on a map</div>
                                </ng-messages>
                            </div>
                            <!--google map-->
                        </div>

                        <div class="clearfix">
                            <div class="row">
                                <!--ABN-->
                                <div class="form-group col-xs-12 col-sm-4">
                                    <label>ABN (Australian business number)</label>
                                    <input type="text" name="abn" class="form-control" placeholder="Enter ABN"
                                           ng-pattern="/\d{11}/"
                                           minlength="11" maxlength="11"
                                           ng-model="vm.shop.abn" required>
                                    <ng-messages for="shopForm.abn.$error" role="alert">
                                        <ng-messages-include ng-if="submitted" src="error-messages">...
                                        </ng-messages-include>
                                        <div ng-message="pattern">ABN contains 11 digits only</div>
                                    </ng-messages>
                                </div>
                                <!--/ABN-->

                                <!--ACN-->
                                <div class="form-group col-xs-12 col-sm-4">
                                    <label>ACN (Australian company number)</label>
                                    <input type="text" name="acn" class="form-control" placeholder="Enter ACN"
                                           ng-pattern="/\d{9}/"
                                           minlength="9" maxlength="9"
                                           ng-model="vm.shop.acn" required>
                                    <ng-messages for="shopForm.acn.$error" role="alert">
                                        <ng-messages-include ng-if="submitted" src="error-messages">...
                                        </ng-messages-include>
                                        <div ng-message="pattern">ACN contains 9 digits only</div>
                                    </ng-messages>
                                </div>
                                <!--/ACN-->

                                <!--Address-->
                                <div class="form-group col-xs-12 col-sm-4">
                                    <label>Address</label>
                                    <input class="form-control"
                                           type="search"
                                           maxlength="100"
                                           ng-model="vm.map.address"
                                           ng-keypress="onKeyPress($event)"
                                           google-place
                                           search-data="searchData"/>
                                    <!--hidden map/shop address field-->
                                    <input type="hidden" name="address" class="form-control" placeholder="Enter Address"
                                           ng-model="vm.shop.address" required>
                                    <ng-messages for="shopForm.address.$error" class="col-xs-12" role="alert">
                                        <ng-messages-include ng-if="submitted" src="error-messages">...
                                        </ng-messages-include>
                                    </ng-messages>
                                </div>
                                <!--Address-->
                            </div>
                            <div class="row">
                                <!--Contact Person-->
                                <div class="form-group col-xs-12 col-sm-4">
                                    <label>Contact Person</label>
                                    <input type="text" name="contactName" class="form-control"
                                           placeholder="Enter Contact Person"
                                           ng-model="vm.shop.contactName" required>
                                    <ng-messages for="shopForm.contactName.$error" role="alert">
                                        <ng-messages-include ng-if="submitted" src="error-messages">...
                                        </ng-messages-include>
                                    </ng-messages>
                                </div>
                                <!--Contact Person-->

                                <!--Contact Phone-->
                                <div class="form-group col-xs-12 col-sm-4">
                                    <label>Contact Phone</label>
                                    <input type="text" name="contactPhone" class="form-control"
                                           placeholder="Enter Contact Phone"
                                           ng-model="vm.shop.contactPhone" required>
                                    <ng-messages for="shopForm.contactPhone.$error" role="alert">
                                        <ng-messages-include ng-if="submitted" src="error-messages">...
                                        </ng-messages-include>
                                    </ng-messages>
                                </div>
                                <!--Contact Phone-->

                                <!--Contact Email-->
                                <div class="form-group col-xs-12 col-sm-4">
                                    <label>Contact Email</label>
                                    <input type="email" name="contactEmail" class="form-control"
                                           placeholder="Enter Contact Email"
                                           ng-model="vm.shop.contactEmail" required>
                                    <ng-messages for="shopForm.contactEmail.$error" role="alert">
                                        <ng-messages-include ng-if="submitted" src="error-messages">...
                                        </ng-messages-include>
                                    </ng-messages>
                                </div>
                                <!--Contact Email-->
                            </div>
                        </div>

                        <div class="row clearfix">
                            <div class="col-sm-12 text-right">
                                <button ng-disabled="inProgress" class="btn btn-primary" type="submit">Add</button>
                                <button ng-disabled="inProgress" class="btn btn-warning" type="button"
                                        ng-click="cancel()">
                                    Cancel
                                </button>
                            </div>
                        </div>
                    </form>
                    <!--/CREATE SHOP FORM-->
                </div>
            </div>
        </div>
    </div>
</div>


<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
    <div ng-message="minlength">This field is too short!</div>
    <div ng-message="maxlength">This field is too long!</div>
    <div ng-message="email">Invalid email!</div>
</script>